The branch, master has been updated
       via  078343906d9e403d250639235bf634e1a71e682f (commit)
      from  6d91ac2a646ae47d359914503030cab51b2c9d16 (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 078343906d9e403d250639235bf634e1a71e682f
Author: Andrew Bartlett <[email protected]>
Date:   Mon May 18 15:56:31 2009 +1000

    Detect missing 'witch' before detecting missing autoconf

-----------------------------------------------------------------------

Summary of changes:
 source4/autogen.sh |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source4/autogen.sh b/source4/autogen.sh
index 8b97023..2d995ca 100755
--- a/source4/autogen.sh
+++ b/source4/autogen.sh
@@ -22,7 +22,12 @@ TESTAUTOCONF="autoconf autoconf-2.53 autoconf2.50 
autoconf259 autoconf253"
 AUTOHEADERFOUND="0"
 AUTOCONFFOUND="0"
 
-
+if which which > /dev/null 2>&1; then
+        echo -n
+else
+       echo "$0: need 'which' to figure out if we have the right autoconf to 
build samba from git" >&2
+       exit 1
+fi
 ##
 ## Look for autoheader
 ##


-- 
Samba Shared Repository

Reply via email to